%define name    denef
%define version 0.3
%define release 2mdk

Summary: Nikon D1 camera NEF file decoder
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
URL: http://www.cheeseplant.org/~daniel/pages/denef.html
License: GPL
Group: Graphics
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
DeNEF is a utility to convert the raw image files from the Nikon D1
digital camera, and produce standard image files which can be
processed by normal image processing tools.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%build
# patch Makefile
perl -pi -e "s|=-Wall|=\\$\(CFLAGS) -Wall||g;" Makefile
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT%_bindir/
install -m 755  denef  $RPM_BUILD_ROOT%_bindir/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%_bindir/*

%changelog
* Mon Jul 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3-2mdk
- rebuild

* Wed Dec 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3-1mdk 
- udpated to 0.3 by rufus t firefly <rufus.t.firefly@linux-mandrake.com>

* Tue Nov 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2-1mdk
- used srpm from rufus t firefly <rufus.t.firefly@linux-mandrake.com> :
  - v0.2-1mdk (initial packaging)
